EPR_DatasetId Struct Reference

The `EPR_DatasetId` structure contains information about a dataset within an ENVISAT product file which has been opened with the `epr_open_product()` API function. More...

`#include <epr_api.h>`

## Data Fields

EPR_Magic | magic
| The magic number for this structure.
EPR_SProductId * | product_id
| The ID of the product to which this dataset belongs to.
char * | dsd_name
| The name as presented to the user in a dsd selection dialog.
const EPR_SDSD * | dsd
| The dataset descriptor obtained from the current product.
char * | dataset_name
| The name as presented to the user in a dataset selection dialog.
const struct RecordDescriptor * | record_descriptor
| The record descriptor found in the DDDB for this dataset.
EPR_SRecordInfo * | record_info
| The record info which describes a record of this dataset.
char * | description
| A short description of the band's contents.

## Detailed Description

The `EPR_DatasetId` structure contains information about a dataset within an ENVISAT product file which has been opened with the `epr_open_product()` API function.

A new `EPR_DatasetId` instance can be obtained with the `epr_get_dataset_id()` or `epr_get_dataset_id_at()` API functions.

See also
  epr_open_product
  epr_get_dataset_id
  epr_get_dataset_id_at

## Field Documentation

## magic

EPR_Magic EPR_DatasetId::magic

The magic number for this structure.

IMPORTANT: This must always be the first member of this structure.

## product_id

EPR_SProductId* EPR_DatasetId::product_id

The ID of the product to which this dataset belongs to.

## dsd_name

char* EPR_DatasetId::dsd_name

The name as presented to the user in a dsd selection dialog.

## dsd

const EPR_SDSD* EPR_DatasetId::dsd

The dataset descriptor obtained from the current product.

## dataset_name

char* EPR_DatasetId::dataset_name

The name as presented to the user in a dataset selection dialog.

## record_descriptor

const struct RecordDescriptor* EPR_DatasetId::record_descriptor

The record descriptor found in the DDDB for this dataset.

## record_info

EPR_SRecordInfo* EPR_DatasetId::record_info

The record info which describes a record of this dataset.

## description

char* EPR_DatasetId::description

A short description of the band's contents.

The documentation for this struct was generated from the following file:

- epr_api.h